<?php

session_start();
$_SESSION['database'] = $_POST['database'];
$_SESSION['sql'] = $_POST['sql'];
$_SESSION['key'] = $_POST['key'];

$cadena_de_texto3 = 'update, delete, create , drop, truncate,alter';

$cadena_de_texto = $_SESSION['sql'];

permitesql($cadena_de_texto);

function permitesql($cadena_de_texto)
{
    $cadena_de_texto = strtolower($cadena_de_texto);

    $pos = strpos($cadena_de_texto, 'create');

    if ($pos === false) {

        echo 'no encontro';

        $valor_devuelto = 'false';
        return $valor_devuelto;

    } else {

        echo ' encontro';

        $valor_devuelto = 'true';
        return $valor_devuelto;

    }

    return $valor_devuelto;

}
